//---------------------------------------------------------------------------
#ifndef PreviewFormH
#define PreviewFormH

//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "JvExControls.hpp"
#include "JvPrvwDoc.hpp"
#include <Graphics.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
#include <Vcl.ImgList.hpp>

//---------------------------------------------------------------------------
class TPreviewForm : public TForm
{
__published:	// IDE-managed Components
  TLabel *PageCountLabel;
  TLabel *PageLabel;
  TJvPreviewControl *PreviewControl;
  TEdit *PageEdit;
  TComboBox *ScaleComboBox;
  TLabel *ZoomLabel;
  TButton *CloseButton;
  TButton *PdfButton;
  TButton *PrintButton;
  TPopupMenu *ExportMenu;
  TMenuItem *SaveCsvMenuItem;
  TMenuItem *CopyMenuItem;
  TButton *ExportButton;
  TPopupMenu *PopupMenu;
  TMenuItem *CopyImageMenuItem;
  TButton *NotesButton;
  TSpeedButton *FirstButton;
  TSpeedButton *PrevButton;
  TSpeedButton *NextButton;
  TSpeedButton *LastButton;
  TSpeedButton *FullPageButton;
  TSpeedButton *PageWidthButton;

  void __fastcall FormShow(TObject *Sender);
  void __fastcall PrintButtonClick(TObject *Sender);
  void __fastcall PdfButtonClick(TObject *Sender);
  void __fastcall FirstButtonClick(TObject *Sender);
  void __fastcall PrevButtonClick(TObject *Sender);
  void __fastcall NextButtonClick(TObject *Sender);
  void __fastcall LastButtonClick(TObject *Sender);
  void __fastcall CloseButtonClick(TObject *Sender);
  void __fastcall FullPageButtonClick(TObject *Sender);
  void __fastcall PageWidthButtonClick(TObject *Sender);
  void __fastcall ScaleComboBoxChange(TObject *Sender);
  void __fastcall PreviewControlAfterScroll(TObject *Sender);
  void __fastcall PageEditKeyPress(TObject *Sender, char &Key);
  void __fastcall ScaleComboBoxExit(TObject *Sender);
  void __fastcall CopyMenuItemClick(TObject *Sender);
  void __fastcall SaveCsvMenuItemClick(TObject *Sender);
  void __fastcall CopyImageMenuItemClick(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall NotesButtonClick(TObject *Sender);
  void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
  void __fastcall FormKeyPress(TObject *Sender, System::WideChar &Key);

private:	// User declarations
  int mIndex;

  void ShowInitialPage();
  void ShowPageNumber(int index);
  void UpdateScaleDisplay(int new_value);

  void __fastcall CMDialogKey(Winapi::Messages::TWMKey &Message);
  BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(CM_DIALOGKEY, TWMKey, CMDialogKey)
  END_MESSAGE_MAP(TForm)

public:		// User declarations
  __fastcall TPreviewForm(TComponent* Owner);
  __fastcall ~TPreviewForm();
};

extern PACKAGE TPreviewForm *PreviewForm;

//---------------------------------------------------------------------------
#endif
